> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload face matchmakers

> Upload face matchmaker images for one or more people. The uploaded file name is matched to a person's name. If a person is not found and createPersonIfNotFound is set to true, a new person is created. 



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/faceRecognition/matchmaker/uploadFaceMatchmakers
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/faceRecognition/matchmaker/uploadFaceMatchmakers:
    post:
      tags:
        - Face Recognition Matchmaker Webservice
      summary: Upload face matchmakers
      description: >-
        Upload face matchmaker images for one or more people. The uploaded file
        name is matched to a person's name. If a person is not found and
        createPersonIfNotFound is set to true, a new person is created. 
      operationId: uploadFaceMatchmakers
      parameters:
        - description: >-
            Unique transaction id to track the face matchmakers upload progress.
            If not specified, the system will generate it.
          in: query
          name: transaction
          schema:
            type: string
            nullable: true
        - description: >-
            If a person is not found and createPersonIfNotFound is set to true,
            a new person is created
          in: query
          name: createPersonIfNotFound
          schema:
            type: boolean
            nullable: true
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/FormDataMultiPart'
        description: >-
          Multipart form-data containing a .jpg or .png file. Maximum file size:
          5MB.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Facerecognition_matchmaker_UploadFaceMatchmakersWSResponse
          description: OK
components:
  schemas:
    FormDataMultiPart:
      type: object
      nullable: true
      properties:
        bodyParts:
          type: array
          items:
            $ref: '#/components/schemas/BodyPart'
          nullable: true
        contentDisposition:
          $ref: '#/components/schemas/ContentDisposition'
        entity:
          type: object
          nullable: true
        fields:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/FormDataBodyPart'
            nullable: true
          nullable: true
        headers:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
              nullable: true
            nullable: true
          nullable: true
          properties:
            empty:
              type: boolean
              nullable: true
        mediaType:
          $ref: '#/components/schemas/MediaType'
        messageBodyWorkers:
          $ref: '#/components/schemas/MessageBodyWorkers'
        parameterizedHeaders:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/ParameterizedHeader'
            nullable: true
          nullable: true
          properties:
            empty:
              type: boolean
              nullable: true
        parent:
          $ref: '#/components/schemas/MultiPart'
        providers:
          $ref: '#/components/schemas/Providers'
    Facerecognition_matchmaker_UploadFaceMatchmakersWSResponse:
      type: object
      description: >-
        Response object for uploading face matchmakers with transaction tracking
        and upload results.
      properties:
        fileUploadResults:
          type: array
          description: List of file upload results for each uploaded face matchmaker
          items:
            $ref: '#/components/schemas/Facerecognition_matchmaker_FileUploadResult'
          nullable: true
        transactionId:
          type: string
          description: Transaction ID to track face matchmakers upload progress
          example: txn_12345
          nullable: true
    BodyPart:
      type: object
      nullable: true
      properties:
        contentDisposition:
          $ref: '#/components/schemas/ContentDisposition'
        entity:
          type: object
          nullable: true
        headers:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
              nullable: true
            nullable: true
          nullable: true
          properties:
            empty:
              type: boolean
              nullable: true
        mediaType:
          $ref: '#/components/schemas/MediaType'
        messageBodyWorkers:
          $ref: '#/components/schemas/MessageBodyWorkers'
        parameterizedHeaders:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/ParameterizedHeader'
            nullable: true
          nullable: true
          properties:
            empty:
              type: boolean
              nullable: true
        parent:
          $ref: '#/components/schemas/MultiPart'
        providers:
          $ref: '#/components/schemas/Providers'
    ContentDisposition:
      type: object
      properties:
        attachment:
          type: boolean
          nullable: true
        charset:
          type: object
          nullable: true
          properties:
            registered:
              type: boolean
              nullable: true
        creationDate:
          type: string
          format: date-time
          nullable: true
        filename:
          type: string
          nullable: true
        formData:
          type: boolean
          nullable: true
        inline:
          type: boolean
          nullable: true
        modificationDate:
          type: string
          format: date-time
          nullable: true
        name:
          type: string
          nullable: true
        readDate:
          type: string
          format: date-time
          nullable: true
        size:
          type: integer
          format: int64
          nullable: true
        type:
          type: string
          nullable: true
    FormDataBodyPart:
      type: object
      nullable: true
      properties:
        content:
          type: object
          nullable: true
        contentDisposition:
          $ref: '#/components/schemas/ContentDisposition'
        entity:
          type: object
          nullable: true
        fileName:
          type: string
          nullable: true
        formDataContentDisposition:
          $ref: '#/components/schemas/FormDataContentDisposition'
        headers:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
              nullable: true
            nullable: true
          nullable: true
          properties:
            empty:
              type: boolean
              nullable: true
        mediaType:
          $ref: '#/components/schemas/MediaType'
        messageBodyWorkers:
          $ref: '#/components/schemas/MessageBodyWorkers'
        name:
          type: string
          nullable: true
        parameterizedHeaders:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/ParameterizedHeader'
            nullable: true
          nullable: true
          properties:
            empty:
              type: boolean
              nullable: true
        parent:
          $ref: '#/components/schemas/MultiPart'
        providers:
          $ref: '#/components/schemas/Providers'
        simple:
          type: boolean
          nullable: true
        value:
          type: string
          nullable: true
    MediaType:
      type: object
      properties:
        charset:
          type: object
          nullable: true
          properties:
            registered:
              type: boolean
              nullable: true
        concrete:
          type: boolean
          nullable: true
        parameters:
          type: object
          additionalProperties:
            type: string
            nullable: true
          nullable: true
        qualityValue:
          type: number
          format: double
          nullable: true
        subtype:
          type: string
          nullable: true
        subtypeSuffix:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        wildcardSubtype:
          type: boolean
          nullable: true
        wildcardType:
          type: boolean
          nullable: true
    MessageBodyWorkers:
      type: object
      nullable: true
    ParameterizedHeader:
      type: object
      nullable: true
      properties:
        parameters:
          type: object
          additionalProperties:
            type: string
            nullable: true
          nullable: true
        value:
          type: string
          nullable: true
    MultiPart:
      type: object
      nullable: true
      properties:
        bodyParts:
          type: array
          items:
            $ref: '#/components/schemas/BodyPart'
          nullable: true
        contentDisposition:
          $ref: '#/components/schemas/ContentDisposition'
        entity:
          type: object
          nullable: true
        headers:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
              nullable: true
            nullable: true
          nullable: true
          properties:
            empty:
              type: boolean
              nullable: true
        mediaType:
          $ref: '#/components/schemas/MediaType'
        messageBodyWorkers:
          $ref: '#/components/schemas/MessageBodyWorkers'
        parameterizedHeaders:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/ParameterizedHeader'
            nullable: true
          nullable: true
          properties:
            empty:
              type: boolean
              nullable: true
        providers:
          $ref: '#/components/schemas/Providers'
    Providers:
      type: object
      nullable: true
    Facerecognition_matchmaker_FileUploadResult:
      type: object
      description: >-
        Result of a file upload process for face matchmaker creation, including
        success status and error messages.
      properties:
        fileName:
          type: string
          description: The name of the uploaded file.
          nullable: true
        message:
          type: string
          description: Error message that occurred during upload.
          nullable: true
        success:
          type: boolean
          description: >-
            Indicates whether the file upload was successful. Note, that even if
            upload was successful, subsequent operations, such as adding the
            uploaded file as a matchmaker, may fail.
          nullable: true
    FormDataContentDisposition:
      type: object
      properties:
        creationDate:
          type: string
          format: date-time
          nullable: true
        fileName:
          type: string
          nullable: true
        modificationDate:
          type: string
          format: date-time
          nullable: true
        name:
          type: string
          nullable: true
        parameters:
          type: object
          additionalProperties:
            type: string
            nullable: true
          nullable: true
        readDate:
          type: string
          format: date-time
          nullable: true
        size:
          type: integer
          format: int64
          nullable: true
        type:
          type: string
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````